#!/bin/bash
source /usr/libexec/op5-log.sh
set -e

# include nss_wrapper code
source /usr/local/bin/nss_wrapper.sh

if [ ! -f /opt/monitor/op5/merlin/merlin.conf ]; then
  op5-log "init" "INFO" "No Merlin config found, copying default config"
  cp /usr/local/etc/merlin/default_config/merlin.conf /opt/monitor/op5/merlin/merlin.conf
fi

exec "$@"
