%undefine _missing_build_ids_terminate_build
%define debug_package %{nil}

Summary: Tester package for Slim Poller
Name: slimpoller-tester
Version: %{op5version}
Release: %{op5release}%{?dist}
License: GPL-2.0-only
URL: http://www.op5.com/support
Source0: %name-%version.tar.gz
Source1: https://github.com/hadolint/hadolint/releases/download/v1.17.4/hadolint-Linux-x86_64
Source2: https://github.com/docker/compose/releases/download/1.29.2/docker-compose-Linux-x86_64
#%global commit 5a4fe147dce355a1014364a00efb1c225d6e09f7
#%global shortcommit %(c=%{commit}; echo ${c:0:7})
#Source0: https://github.com/emca-it/check-elasticquery/archive/%{commit}/check-elasticquery-%{shortcommit}.tar.gz
#Prefix: /opt/plugins
#BuildRoot: %{_tmppath}/check-elasticquery-%{commit}
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: x86_64
BuildRequires: wget
Requires: yum-utils

%description
Test package that installs a Docker linter on the system, in order to test
the slim poller package.

%prep
%setup -q

%build

%install
mkdir --parents %{buildroot}/usr/bin
mkdir --parents %{buildroot}/tmp/slimpoller-src
%{__install} -m0755 %{SOURCE1} %{buildroot}/usr/bin/hadolint
%{__install} -m0755 %{SOURCE2} %{buildroot}/usr/bin/docker-compose
cp -r ./* %{buildroot}/tmp/slimpoller-src
cp ./.env %{buildroot}/tmp/slimpoller-src/

%post
cat %{SOURCE2} >> /etc/yum.conf

%files
%attr(755,root,root) /usr/bin/hadolint
%attr(755,root,root) /usr/bin/docker-compose
/tmp/slimpoller-src/*
/tmp/slimpoller-src/.env

%clean
rm -rf %buildroot
